Bug 1757822 - opj2_compress/opj2_decompress don't work with png/tiff images
Summary: opj2_compress/opj2_decompress don't work with png/tiff images
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: openjpeg2
Version: 30
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Sandro Mani
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-10-02 13:47 UTC by Nikola Forró
Modified: 2020-12-18 01:30 UTC (History)
2 users (show)

Fixed In Version: openjpeg2-2.3.1-3.fc31 openjpeg2-2.3.1-3.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-07 00:02:00 UTC
Type: Bug


Attachments (Terms of Use)

Description Nikola Forró 2019-10-02 13:47:35 UTC
Description of problem:
opj2_compress/opj2_decompress don't work with png/tiff images, because the package is built without external libraries.


Version-Release number of selected component (if applicable):
openjpeg2-tools-2.3.1-1.fc30


How reproducible:
always


Steps to Reproduce:
1. run opj2_compress or opj2_decompress with a png or tiff image


Actual results:
$ opj2_compress -i test.png -o test.jp2

Unable to load file: got no image


Expected results:
$ opj2_compress -i test.png -o test.jp2

[INFO] tile number 1 / 1
[INFO] Generated outfile test.jp2
encode time: 128 ms 


Additional info:
The problem lies here:
https://src.fedoraproject.org/rpms/openjpeg2/blob/427ecf3c3393bef23940681fdfdc689de58cc2ed/f/openjpeg2.spec#_207

This removes also thirdparty/CMakeLists.txt file that takes care of finding external libraries.

Comment 1 Fedora Update System 2019-10-02 14:21:55 UTC
FEDORA-2019-76d53b61a8 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-76d53b61a8

Comment 2 Fedora Update System 2019-10-02 14:21:59 UTC
FEDORA-EPEL-2019-25341976b7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-25341976b7

Comment 3 Fedora Update System 2019-10-03 01:52:46 UTC
mingw-openjpeg2-2.3.1-3.fc30, openjpeg2-2.3.1-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-efd784d508

Comment 4 Fedora Update System 2019-10-03 03:19:56 UTC
mingw-openjpeg2-2.3.1-3.fc31, openjpeg2-2.3.1-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-76d53b61a8

Comment 5 Fedora Update System 2019-10-03 03:33:40 UTC
openjpeg2-2.3.1-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-25341976b7

Comment 6 Fedora Update System 2019-10-07 00:02:00 UTC
mingw-openjpeg2-2.3.1-3.fc31, openjpeg2-2.3.1-3.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2019-10-17 23:23:12 UTC
mingw-openjpeg2-2.3.1-3.fc30, openjpeg2-2.3.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2019-10-18 16:53:02 UTC
mingw-openjpeg2-2.3.1-3.fc30, openjpeg2-2.3.1-3.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2020-12-18 01:30:33 UTC
FEDORA-EPEL-2020-4a9fc09599 has been pushed to the Fedora EPEL 7 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2020-4a9fc09599

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.